- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions

# QNetworkConfigurationManager Class Reference

Search for all occurrences

## Detailed Description

Definition at line 66 of file qnetworkconfigmanager.h.

`#include <qnetworkconfigmanager.h>`

Inheritance diagram for QNetworkConfigurationManager:
[legend]

List of all members.

## Public Types
enum | Capability { CanStartAndStopInterfaces = 0x00000001, DirectConnectionRouting = 0x00000002, SystemSessionSupport = 0x00000004, ApplicationLevelRoaming = 0x00000008, ForcedRoaming = 0x00000010, DataStatistics = 0x00000020, NetworkSessionRequired = 0x00000040 }
## Signals
void | configurationAdded (const QNetworkConfiguration &config)
void | configurationRemoved (const QNetworkConfiguration &config)
void | configurationChanged (const QNetworkConfiguration &config)
void | onlineStateChanged (bool isOnline)
void | updateCompleted ()
## Public Member Functions
| QNetworkConfigurationManager (QObject *parent=0)
virtual | ~QNetworkConfigurationManager ()
QNetworkConfigurationManager::Capabilities | capabilities () const
QNetworkConfiguration | defaultConfiguration () const
QList< QNetworkConfiguration > | allConfigurations (QNetworkConfiguration::StateFlags flags=0) const
QNetworkConfiguration | configurationFromIdentifier (const QString &identifier) const
void | updateConfigurations ()
bool | isOnline () const

## Member Enumeration Documentation

enum Capability

Search for all occurrences

Enumerator:

  CanStartAndStopInterfaces | Search for all occurrences
  DirectConnectionRouting | Search for all occurrences
  SystemSessionSupport | Search for all occurrences
  ApplicationLevelRoaming | Search for all occurrences
  ForcedRoaming | Search for all occurrences
  DataStatistics | Search for all occurrences
  NetworkSessionRequired | Search for all occurrences

Definition at line 72 of file qnetworkconfigmanager.h.

                        {
             CanStartAndStopInterfaces  = 0x00000001,
             DirectConnectionRouting = 0x00000002,
             SystemSessionSupport = 0x00000004,
             ApplicationLevelRoaming = 0x00000008,
             ForcedRoaming = 0x00000010,
             DataStatistics = 0x00000020,
             NetworkSessionRequired = 0x00000040
        };

## Constructor & Destructor Documentation

QNetworkConfigurationManager | ( | QObject * | parent = `0` | ) |

virtual ~QNetworkConfigurationManager | ( |  | ) | `[virtual]`

## Member Function Documentation

QNetworkConfigurationManager::Capabilities capabilities | ( |  | ) | const

Search for all occurrences

QNetworkConfiguration defaultConfiguration | ( |  | ) | const

Search for all occurrences

QList<QNetworkConfiguration> allConfigurations | ( | QNetworkConfiguration::StateFlags | flags = `0` | ) | const

Search for all occurrences

QNetworkConfiguration configurationFromIdentifier | ( | const QString & | identifier | ) | const

Search for all occurrences

void updateConfigurations | ( |  | ) |

Search for all occurrences

bool isOnline | ( |  | ) | const

Search for all occurrences

void configurationAdded | ( | const QNetworkConfiguration & | config | ) | `[signal]`

Search for all occurrences

void configurationRemoved | ( | const QNetworkConfiguration & | config | ) | `[signal]`

Search for all occurrences

void configurationChanged | ( | const QNetworkConfiguration & | config | ) | `[signal]`

Search for all occurrences

void onlineStateChanged | ( | bool | isOnline | ) | `[signal]`

Search for all occurrences

void updateCompleted | ( |  | ) | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkconfigmanager.h

QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager
QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager QNetworkConfigurationManager